package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 连锁库存查询信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnLskcStoreproductinventoryService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnLskcStoreproductinventory(PageData pd)throws Exception {
        return daoSupport.update("SKcKnLskcStoreproductinventoryMapper.addSKcKnLskcStoreproductinventory", pd);
    }

    public List<PageData> findSKcKnLskcStoreproductinventoryList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnLskcStoreproductinventoryMapper.selectSKcKnLskcStoreproductinventoryList", pd);
    }

    public Integer SKcKnLskcStoreproductinventoryRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnLskcStoreproductinventoryMapper.SKcKnLskcStoreproductinventoryRemove", pd);
    }


    public Integer updateSKcKnLskcStoreproductinventory(PageData pd)throws Exception {
        return daoSupport.update("SKcKnLskcStoreproductinventoryMapper.updateSKcKnLskcStoreproductinventory", pd);
    }

}
